<div class="modal-dialog">
	<div class="modal-content" id="loginDiv">
		<div class="modal-header">
			<h5 *ngIf="operation == 'login'" class="modal-title col-9" id="my-modal-title">Login</h5>
			<h5 *ngIf="operation == 'register'" class="modal-title col-9" id="my-modal-title">Registro</h5>
			<i class="fab fa-windows fa-2x col-1"></i>
			<i class="fab fa-ubuntu fa-2x col-1"></i>
			<i class="fab fa-apple fa-2x col-1"></i>
		</div>
		<!-- se usa ngif para que se muestre los input si el usuario desea registrarse de forma manual -->
		<div class="modal-body">
			<form class="row mr-2 ml-2">
				<i class="fas fa-at col-2 mb-2 fa-2x"></i>
				<input [(ngModel)]="email" type="email" id="email" class="form-control col-10 mb-2" name="email"
					placeholder="Ingrese su e-mail" required="required">
				<i class="fa fa-lock col-2 mb-2 fa-2x"></i>
				<input [(ngModel)]="password" type="string" class="form-control col-10 mb-2" name="password"
					placeholder="Password" required="required">
				<button type="submit" *ngIf="operation == 'login'" class="btn btn-primary btn-block" routerLink="/"
					(click)="onLogin()"><i class="fas fa-sign-in-alt"></i> Ingresar</button>
				<button type="submit" *ngIf="operation == 'register'" class="btn btn-primary btn-block" routerLink="/"
					(click)="onRegister()"><i class="fas fa-user-plus"></i> Registrarse</button>
			</form>


			<div class="or-seperator"><i>o Ingresa usando</i></div>
			<div class="form-group row">
				<button class="btn btn-block btn-social btn-facebook col">
					<i (click)="onLoginFacebook()" class="fab fa-facebook-square fa-4x"></i>
				</button>
				<button class="btn btn-block btn-social btn-google col">
					<i (click)="onLoginGoogle()" class="fab fa-google-plus-square fa-4x"></i>
				</button>
			</div>
		</div>
		<!-- opcion de registrarse o crear una cuenta nueva -->
		<div class="modal-footer">
			<div class="col">
				<p *ngIf="operation == 'register'">¿Ya tienes una cuenta?
					<a (click)="operation = 'login'">
						<b>Logeate</b>
					</a>
				</p>
				<p *ngIf="operation == 'login'">¿No tienes cuenta?
					<a (click)="operation = 'register'">
						<b>Registrate</b>
					</a>
				</p>
			</div>
		</div>
	</div>
</div>